setwd("C:/Users/leyenda/Desktop/master/Estadística_noparamétrica/Trabajos/Trabajo grupo")
x<-c(1.5,2.5,3.5)
y<-c(1,1,1)
t<-c(1,2,3)
h<-2
matriz_suavizado<-matrix(0,nrow=length(),ncol=length())

K<-function(x){
return(1/sqrt(2*pi)*exp(-x^2/2))
}

nw<-function(t,x,y,h){
#-- Esta función me devuelve la estimación por el estimador noparamétrico de la
#-- regresión de Nadaraya-Watson
#-- t vector de puntos donde se va a evaluar la función.
#-- x valores de la variable explicativa
#-- y valores de la variable respuesta
#-- h ventana de suavizado

return((K(outer(t,x,"-")/h)/apply(K(outer(t,x,"-")/h),1,sum))%*%y)

}

#-- R siempre recorre por columnas

scan(file = "", what = double(0), nmax = -1, n = -1, sep = "",
     quote = if(identical(sep, "\n")) "" else "'\"", dec = ".",
     skip = 0, nlines = 0, na.strings = "NA",
     flush = FALSE, fill = FALSE, strip.white = FALSE,
     quiet = FALSE, blank.lines.skip = TRUE, multi.line = TRUE,
     comment.char = "", allowEscapes = FALSE,
     encoding = "unknown")

ejemplo<-read.table("patatas.txt",dec=",")

x<-ejemplo$V1
y<-ejemplo$V2
plot(x,y)
m.gorro=nw(x,x,y,10)
plot(x,m.gorro,type="l",ylim=c(0,2))
m.gorro_0.1=nw(x,x,y,0.1)
plot(x,m.gorro_0.1,type="l",ylim=c(0,2))
m.gorro_0.01=nw(x,x,y,0.01)
plot(x,m.gorro_0.01,type="l",ylim=c(0,2))

#-- Vemos una bajada que no se sabe a qué se debe (recordemos que estamos inten-
#-- tando demostrar que es un producto inferior)
